setwd("C:/Users/alipka/Desktop/Pipeline_for_BGLR/")
home.dir <- getwd()

#Read in some prerequisite libraries
install.packages("BGLR")
install.packages("gplots")
library(BGLR)
library('MASS')
#library(multtest)
library(gplots)


#Read in the genotypic and phenotypic data from maize
path.to.sorghum.data <- "C:/Users/alipka/Desktop/Pipeline_for_BGLR/Sorghum Data/"
myY <- read.table(paste(path.to.sorghum.data, "BrownSAP2008_Inflorescence_for_TASSELGBS_NAMES.txt", sep = ""), head = TRUE)

myG <- read.delim(paste(path.to.sorghum.data, "GBS_Markers_Sorghum_116128_n=320_Inds.txt1.hmp.txt", sep = ""), head = FALSE)

#Use the "load" function to read in the SNPs. The SNPs are in a data set called "myG"
setwd("Scripts_to_Read_In")
source("k.fold.CV.Function.to.Read.In.BGLR.R")
source("GAPIT_Code_from_Internet_20120411_Allelic_Effect.R")
setwd(home.dir)

###Get rid of all lines that have at least one missing individual

#Remove all rows that have at least one missing observation

#dir.create("Exploratory")
myY.input <- myY
#this.seed.number <- 7
#these.results <- Multi.BRR.kfoldfoldCV.mult.BGLR(Y = myY.input, Geno = myG, path.for.results = "Exploratory", number.of.folds = 5, seed.number = this.seed.number)

#Initialize a table of correlations

store.seed.numbers.here <- NULL
number.of.iterations <- 2
#For loop through iterations of GS
for(i in 1:number.of.iterations){
  this.seed.number <- sample(-1000000:1000000,1)
  store.seed.numbers.here <- c(store.seed.numbers.here, this.seed.number)
  #Run BGLR
  these.results <- Multi.BRR.kfoldfoldCV.mult.BGLR(Y = myY.input, Geno = myG, path.for.results = "Exploratory", number.of.folds = 5, seed.number = this.seed.number)
  #Append the table
  if(i == 1){
    table.of.correlations <- these.results
  }else{
    table.of.correlations <- cbind(table.of.correlations, these.results)
    }
     #Save the workspace
  save.image("Temporary.Workspace.sorghum.Rdata")
}#End for(i in 1:number.of.iterations)

#Save the workspace under a new name
save.image("Workspace.sorghum.Rdata")
